QGIS Application - Feature request #2040
Connecting to PostgreSQL via OGR could use default username
2009-10-28 04:42 AM - grasslandtom -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 12100
Description

Adding a [[PostGIS]]-layer via the "Add [[PostGIS]] Layer"-button does not require entering a username for the connection. This is
different for a connection via the button "Add Vector Layer", where not entering an explicit username raises an error.
Maybe the behaviour of "Add [[PostGIS]] Layer" could be adopted to "Add Vector Layer" when connecting to a [[PostgreSQL]] database.

History

#1 - 2009-10-28 05:02 AM - Jiirgen Fischer

AFAICS if you enter a username in the [[PostGIS]] connection it's used to connect in both cases. If you don't, you are prompted for a password (but no

username) in both cases - which probably is a bug in itself, but no difference.

#2 - 2009-10-28 07:47 AM - grasslandtom -

To be more specific here the steps to reproduce what | meant:

Click on "Add [[PostGIS]] Layer" -> New, enter name of database to which you can connect on the console without specifying a user name (thus which
accepts your Unix user name) -> Test Connect

=> this is successful in my case.

Click Cancel -> close.

Click "Add Vector Layer" -> Database -> New, select [[PostgreSQL]], type the same database name as above -> Test Connect

=> this fails complaining about a missing [[PostgreSQL]]-user name.

Click OK, enter your Unix user name -> Test Connect

=> successful in my case

#3 - 2009-10-29 02:46 AM - grasslandtom -

Can anybody confirm what is described in the previous comment?

If not I would resolve this as invalid as | am now unable to connect to [[PostGIS]] at all. The described behaviour might be part of the weird behaviour | see

now.

#4 - 2010-03-07 10:27 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:c7d632ea (SVN r12923).

2024-03-13 22



